﻿/*
 * Created by SharpDevelop.
 * User: banana
 * Date: 2013/10/23
 * Time: 14:08
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Collections.Generic;

namespace PicLogic
{
	/// <summary>
	/// Description of Sheet.
	/// </summary>
	public class Sheet
	{
		public List<ContinuityNumber[]> VertNumbers { get; set; }
		public List<ContinuityNumber[]> HorizNumbers { get; set; }
		public Brock[,] Brocks { get; set; }
		
		public int MaxVertNumbersCount {
			get {
				int result = 0;
				foreach(ContinuityNumber[] nums in VertNumbers){
					if(nums.Length > result){
						result = nums.Length;
					}
				}
				return result;
			}
		}
		
		public int MaxHorizNumbersCount {
			get {
				int result = 0;
				foreach(ContinuityNumber[] nums in HorizNumbers){
					if(nums.Length > result){
						result = nums.Length;
					}
				}
				return result;
			}
		}
		
		public int BrockHorizCount {
			get {
				return Brocks.GetLength(0);
			}
		}
		
		public int BrockVertCount {
			get {
				return Brocks.GetLength(1);
			}
		}
		
		public Sheet()
		{
		}
	}
}
