﻿/*
 * Created by SharpDevelop.
 * User: banana
 * Date: 2013/10/23
 * Time: 16:11
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;

namespace PicLogic
{
	/// <summary>
	/// Description of ContinuityNumber.
	/// </summary>
	public class ContinuityNumber
	{
		private byte _number;
		private byte _fillCount;
		private byte _index;
		
		public int Number {
			get{ return (int)_number; }
			set{ _number = (byte)value; }
		}
		public int FillCount {
			get{ return (int)_fillCount; }
			set{ _fillCount = (byte)value; }
		}
		public int Index {
			get { return (int)_index; }
			set { _index = (byte)value; }
		}
		
		public bool Fixed {
			get {
				return Number == FillCount;
			}
		}
		
		public ContinuityNumber()
		{
			Number = 0;
			FillCount = 0;
		}
		
		public override string ToString()
		{
			return string.Format("[ContinuityNumber Number={0}, FillCount={1}, Index={2}]", _number, _fillCount, _index);
		}

	}
}
